Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs
Class DeconfigureTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.nokia.ant.taskdefs.DeconfigureTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class DeconfigureTask

extends org.apache.tools.ant.Task

ANT wrapper task for the GSCM deconfigure.pl script.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DeconfigureTask()`

Method Summary
`void` | `execute()`
`void` | `setconsiderBranchReleases(java.lang.Boolean considerBranchReleases)` Set if we want deconfigure.pl script to check for branch differences based on the 'included_releases' attribute of project.
`void` | `setdatabase(java.lang.String database)` Set Synergy Database name to be used by deconfigure.pl script.
`void` | `setpassword(java.lang.String password)` Set Synergy Password to be used by deconfigure.pl script.
`void` | `setprojectName(java.lang.String projectName)` Set Synergy Project Name to be used by deconfigure.pl script.
`void` | `setverbosity(java.lang.Integer verbosity)` Set verbosity level to be used by deconfigure.pl script.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeconfigureTask

    public DeconfigureTask()

Method Detail

### setdatabase

    public void setdatabase(java.lang.String database)

  Set Synergy Database name to be used by deconfigure.pl script.

  Parameters:
    `database` -

### setprojectName

    public void setprojectName(java.lang.String projectName)

  Set Synergy Project Name to be used by deconfigure.pl script.

  Parameters:
    `projectName` -

### setpassword

    public void setpassword(java.lang.String password)

  Set Synergy Password to be used by deconfigure.pl script.

  Parameters:
    `password` -

### setconsiderBranchReleases

    public void setconsiderBranchReleases(java.lang.Boolean considerBranchReleases)

  Set if we want deconfigure.pl script to check for branch differences based on the 'included_releases' attribute of project.

  Parameters:
    `considerBranchReleases` -

### setverbosity

    public void setverbosity(java.lang.Integer verbosity)

  Set verbosity level to be used by deconfigure.pl script. Verbosity level ( 0 - quiet, 1 - verbose, 2 - very verbose). Exception will be raised for any other value.

  Parameters:
    `verbosity` -

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD